Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman1.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman1.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman1.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.6.20a exp(-theta**2/2)/sqrt(2*pi) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.6.20a exp(-theta**2/2)/sqrt(2*pi) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -62,5 +62,5 @@
       if (noiseRatio != null) {
         var f_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * f.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * f.StandardDeviationPop();
         f_noise.AddRange(f.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(f);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman10.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.12.4 q1/(4*pi*epsilon*r**2) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.12.4 q1/(4*pi*epsilon*r**2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var Ef_noise    = new List<double>();
-        var sigma_noise = (double) noiseRatio * Ef.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Ef.StandardDeviationPop();
         Ef_noise.AddRange(Ef.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Ef);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman100.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman100.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman100.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("III.21.20 -rho_c_0*q*A_vec/m | {0} samples | {1}", trainingSamples,
+        return string.Format("III.21.20 -rho_c_0*q*A_vec/m | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var j_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * j.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * j.StandardDeviationPop();
         j_noise.AddRange(j.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(j);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman11.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman11.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman11.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.12.5 q2*Ef | {0} samples | {1}", trainingSamples,
+        return string.Format("I.12.5 q2*Ef | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var F_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * F.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * F.StandardDeviationPop();
         F_noise.AddRange(F.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(F);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman12.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.12.11 q*(Ef + B*v*sin(theta)) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.12.11 q*(Ef + B*v*sin(theta)) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -74,5 +74,5 @@
       if (noiseRatio != null) {
         var F_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * F.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * F.StandardDeviationPop();
         F_noise.AddRange(F.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(F);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman13.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman13.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman13.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.13.4 1/2*m*(v**2+u**2+w**2) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.13.4 1/2*m*(v**2+u**2+w**2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var K_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * K.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * K.StandardDeviationPop();
         K_noise.AddRange(K.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(K);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman14.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman14.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman14.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.13.12 G*m1*m2*(1/r2-1/r1) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.13.12 G*m1*m2*(1/r2-1/r1) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -74,5 +74,5 @@
       if (noiseRatio != null) {
         var U_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * U.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * U.StandardDeviationPop();
         U_noise.AddRange(U.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(U);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman15.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman15.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman15.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.14.3 m*g*z | {0} samples | {1}", trainingSamples,
+        return string.Format("I.14.3 m*g*z | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var U_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * U.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * U.StandardDeviationPop();
         U_noise.AddRange(U.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(U);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman16.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman16.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman16.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.14.4 1/2*k_spring*x**2 | {0} samples | {1}", trainingSamples,
+        return string.Format("I.14.4 1/2*k_spring*x**2 | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var U_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * U.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * U.StandardDeviationPop();
         U_noise.AddRange(U.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(U);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman17.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman17.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman17.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.15.3x (x-u*t)/sqrt(1-u**2/c**2) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.15.3x (x-u*t)/sqrt(1-u**2/c**2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var x1_noise    = new List<double>();
-        var sigma_noise = (double) noiseRatio * x1.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * x1.StandardDeviationPop();
         x1_noise.AddRange(x1.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(x1);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman18.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman18.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman18.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("I.15.3t (t-u*x/c**2)/sqrt(1-u**2/c**2) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("I.15.3t (t-u*x/c**2)/sqrt(1-u**2/c**2) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var t1_noise    = new List<double>();
-        var sigma_noise = (double) noiseRatio * t1.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * t1.StandardDeviationPop();
         t1_noise.AddRange(t1.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(t1);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman19.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman19.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman19.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.15.10 m_0*v/sqrt(1-v**2/c**2) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.15.10 m_0*v/sqrt(1-v**2/c**2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var p_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * p.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * p.StandardDeviationPop();
         p_noise.AddRange(p.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(p);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman2.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman2.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman2.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("I.6.20 exp(-(theta/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("I.6.20 exp(-(theta/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var f_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * f.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * f.StandardDeviationPop();
         f_noise.AddRange(f.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(f);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman20.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman20.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman20.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.16.6 (u+v)/(1+u*v/c**2) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.16.6 (u+v)/(1+u*v/c**2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var v1_noise    = new List<double>();
-        var sigma_noise = (double) noiseRatio * v1.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * v1.StandardDeviationPop();
         v1_noise.AddRange(v1.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(v1);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman21.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman21.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman21.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.18.4 (m1*r1 + m2*r2)/(m1 + m2) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.18.4 (m1*r1 + m2*r2)/(m1 + m2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var r_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * r.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * r.StandardDeviationPop();
         r_noise.AddRange(r.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(r);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman22.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman22.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman22.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.18.12 r*F*sin(theta) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.18.12 r*F*sin(theta) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var tau_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * tau.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * tau.StandardDeviationPop();
         tau_noise.AddRange(tau.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(tau);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman23.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman23.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman23.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.18.16 m*r*v*sin(theta) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.18.16 m*r*v*sin(theta) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var L_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * L.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * L.StandardDeviationPop();
         L_noise.AddRange(L.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(L);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman24.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman24.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman24.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("I.24.6 1/4*m*(omega**2 + omega_0**2)*x**2 | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("I.24.6 1/4*m*(omega**2 + omega_0**2)*x**2 | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var E_n_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * E_n.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * E_n.StandardDeviationPop();
         E_n_noise.AddRange(E_n.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(E_n);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman25.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman25.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman25.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.25.13 q/C | {0} samples | {1}", trainingSamples,
+        return string.Format("I.25.13 q/C | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var Volt_noise  = new List<double>();
-        var sigma_noise = (double) noiseRatio * Volt.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Volt.StandardDeviationPop();
         Volt_noise.AddRange(Volt.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Volt);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman26.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman26.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman26.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.26.2 arcsin(n*sin(theta2)) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.26.2 arcsin(n*sin(theta2)) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var theta1_noise = new List<double>();
-        var sigma_noise  = (double) noiseRatio * theta1.StandardDeviationPop();
+        var sigma_noise  = (double) Math.Sqrt(noiseRatio.Value) * theta1.StandardDeviationPop();
         theta1_noise.AddRange(theta1.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(theta1);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman27.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman27.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman27.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.27.6 1/(1/d1+n/d2) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.27.6 1/(1/d1+n/d2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var foc_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * foc.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * foc.StandardDeviationPop();
         foc_noise.AddRange(foc.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(foc);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman28.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman28.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman28.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.29.4 omega/c | {0} samples | {1}", trainingSamples,
+        return string.Format("I.29.4 omega/c | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var k_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * k.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * k.StandardDeviationPop();
         k_noise.AddRange(k.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(k);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman29.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("I.29.16 sqrt(x1**2+x2**2 - 2*x1*x2*cos(theta1 - theta2)) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("I.29.16 sqrt(x1**2+x2**2 - 2*x1*x2*cos(theta1 - theta2)) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -73,5 +73,5 @@
       if (noiseRatio != null) {
         var x_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * x.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * x.StandardDeviationPop();
         x_noise.AddRange(x.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(x);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman3.cs	(revision 17805)
@@ -29,6 +29,6 @@
       get {
         return string.Format(
-          "I.6.20b exp(-((theta-theta1)/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+          "I.6.20b exp(-((theta-theta1)/sigma)**2/2)/(sqrt(2*pi)*sigma) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -71,5 +71,5 @@
       if (noiseRatio != null) {
         var f_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * f.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * f.StandardDeviationPop();
         f_noise.AddRange(f.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(f);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman30.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman30.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman30.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("I.30.3 Int_0*sin(n*theta/2)**2/sin(theta/2)**2 | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("I.30.3 Int_0*sin(n*theta/2)**2/sin(theta/2)**2 | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var Int_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * Int.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Int.StandardDeviationPop();
         Int_noise.AddRange(Int.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Int);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman31.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman31.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman31.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.30.5 arcsin(lambd/(n*d)) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.30.5 arcsin(lambd/(n*d)) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var theta_noise = new List<double>();
-        var sigma_noise = (double) noiseRatio * theta.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * theta.StandardDeviationPop();
         theta_noise.AddRange(theta.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(theta);
